summaryrefslogtreecommitdiff
path: root/tests/install/trap
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2005-04-21 00:30:35 +0000
committerPaul Eggert <eggert@cs.ucla.edu>2005-04-21 00:30:35 +0000
commit2d8996299eaaa5aaddce66101c077616dc65a26f (patch)
tree3b3c0e9336a2320a0dba443f1a89ce8f13834fff /tests/install/trap
parent82e7b3c7cafe7f1806cea2c6aa08a5ff3aa85ef7 (diff)
downloadcoreutils-2d8996299eaaa5aaddce66101c077616dc65a26f.tar.xz
Undo previous change.
(sig): New var. Use it insted of "trap '' CHLD". Append $EXEEXT to executable name.
Diffstat (limited to 'tests/install/trap')
-rwxr-xr-xtests/install/trap12
1 files changed, 4 insertions, 8 deletions
diff --git a/tests/install/trap b/tests/install/trap
index 514b2be49..e95eb8f1c 100755
--- a/tests/install/trap
+++ b/tests/install/trap
@@ -7,12 +7,6 @@ if test "$VERBOSE" = yes; then
ginstall --version
fi
-(trap '' CHLD) || {
- echo >&2 "$0: the shell command \"trap '' CHLD\" does not work," \
- "so can't run this test"
- exit 77
-}
-
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
@@ -29,8 +23,10 @@ fi
fail=0
+# ash doesn't support "trap '' CHLD"; it knows only signal numbers.
+sig=`$pwd/../../src/kill -l CHLD 2>/dev/null` && trap '' $sig
+
# Before 2004-04-21, install would infloop, in the `while (wait...' loop:
-trap '' CHLD
-ginstall -s $pwd/../../src/ginstall .
+ginstall -s $pwd/../../src/ginstall$EXEEXT .
(exit $fail); exit $fail